[gcc-6] 223/401: * Install alternatives for go and gofmt. Closes: #840190.

Ximin Luo infinity0 at debian.org
Wed Apr 5 15:49:37 UTC 2017


This is an automated email from the git hooks/post-receive script.

infinity0 pushed a commit to branch pu/reproducible_builds
in repository gcc-6.

commit eac7c21db2aaab6e19a6b27a5f4def87150e907e
Author: doko <doko at 6ca36cf4-e1d1-0310-8c6f-e303bb2178ca>
Date:   Mon Oct 10 03:11:38 2016 +0000

      * Install alternatives for go and gofmt. Closes: #840190.
    
    
    git-svn-id: svn://anonscm.debian.org/gcccvs/branches/sid/gcc-6@8994 6ca36cf4-e1d1-0310-8c6f-e303bb2178ca
---
 debian/changelog         |  1 +
 debian/gccgo-BV.postinst | 18 ++++++++++++++++++
 debian/gccgo-BV.prerm    | 19 +++++++++++++++++++
 3 files changed, 38 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index b426c39..d4374f0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,7 @@ gcc-6 (6.2.0-6) UNRELEASED; urgency=medium
       PR fortran/77460, PR fortran/77506, PR fortran/77507, PR fortran/77612,
       PR fortran/77694, PR libgfortran/77707.
   * Really fix gij installation on hppa. Closes: #838111.
+  * Install alternatives for go and gofmt. Closes: #840190.
 
  -- Matthias Klose <doko at debian.org>  Wed, 05 Oct 2016 04:20:00 +0200
 
diff --git a/debian/gccgo-BV.postinst b/debian/gccgo-BV.postinst
new file mode 100644
index 0000000..96dd174
--- /dev/null
+++ b/debian/gccgo-BV.postinst
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+set -e
+
+# see #779503, base version (60) + go version (1.6)
+prio=66
+
+case "$1" in
+    configure)
+	update-alternatives \
+	    --install /usr/bin/go go /usr/bin/go- at BV@ $prio \
+	    --slave /usr/bin/gofmt gofmt /usr/bin/gofmt- at BV@
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/gccgo-BV.prerm b/debian/gccgo-BV.prerm
new file mode 100644
index 0000000..fd12afc
--- /dev/null
+++ b/debian/gccgo-BV.prerm
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+  remove|upgrade|deconfigure)
+    update-alternatives --remove go /usr/bin/go- at BV@
+    ;;
+  failed-upgrade)
+    ;;
+  *)
+    echo "prerm called with unknown argument \`$1'" >&2
+    exit 0
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/gcc-6.git



More information about the Reproducible-commits mailing list